Subject: [mobile-ip] Where a tunnel starts!

From: "Ahmad Fallah" <[email-masked]>
Date: Sun, 24 Aug 2003 15:13:37 +0430

Hi guys,
I am new to Mobile-IP area and currently reading RFCs.
After reading some other sources about Mobile-IP I got confused about where
a tunnel starts.
RFC 2002 says ...
      "Datagrams sent to the mobile node's home address are intercepted
       by its home agent, tunneled by the home agent to the mobile
       node's care-of address, received at the tunnel endpoint (either
       at a foreign agent or at the mobile node itself), and finally
       delivered to the mobile node (Section 4.2.3)."

But in some other sources like IEEE or Computer Network written by Andrew
Tanenbaum is said that a tunnel establishes between Care-of Address node and
CN!
Although I thought A tunnel is between HA and Care-of Address node! Please
let me know which of the statements are correct.

Thanks,
A. Fallah.